# Pflichtenheft: Kapitalgesellschaften referenzregister

Version 0.1 Erstellt am 07.04.2023

| Autoren            | Matrikelnummer |
|--------------------|----------------|
| Kim Mesewinkel     | 000            |
| Tristan Nolde      | 000            |
| Sebastian Zelenie  | 000            |
| Philip Horstenkamp | 000            |
| Sascha Zhu         | 000            |
| Tim Ronneburg      | 000            |




## Historie der Dokumentenversion <a name="historie"></a>

| Version   | Datum      | Autor         | Änderungsgrund / Bemerkung             |
|-----------|------------|---------------|----------------------------------------|
| 0.1       | 07.04.2023 | Tim Ronneburg | Initiales aufsetzen des Pflichtenhefts |
| 0.2       | 000        |               |                                        |
| ...       | 000        |               |                                        |
| 1.0       | 000        |               |                                        |

## Inhaltsverzeichnis <a name="inhaltsverzeichnis"></a>
[Historie der Dokumentenversion](#historie)
[Inhaltsverzeichnis](#inhaltsverzeichnis)
1. [Einleitung](#einleitung)
    1. [allgemeines](#allgemeines)
    1. [Ziel und Zweck des Dokuments](#ziel/zweck)
    1. [Ausgangssituation](#ausgangssituation)
    1. [Projektbezug](#projektbezug)
    1. [Abkürzungen](#abkürzungen)
    1. [Schnittstellen/ Bezug zu anderen Dokumenten](#schnittstellen)
1. [Konzept und Rahmenbedingungen](#konzept_und_rahmenbedingung)
    1. [Ziele des Anbieters](#ziele_anbieter)
    1. [Ziele und Nutzen des Anwenders](#ziele_anwender)
    1. [Benutzer / Zielgruppen](#benutzer/zielgruppen)
    1. [Systemvoraussetzungen (Optional)](#systemvoraussetzungen)
    1. [Ressourcen (Optional)](#ressourcen)
1. [Funktionale Anforderungen](#f_anforderung)
    1. [F100](#f100)
1. [Nicht-Funktionale Anforderungen](#nf_anforderung)
    1. [N100](#n100)
1. [Anforderungsverfolgung zu den Spezifikationen](#verfolgung_spezifikation)
1. [Abnahmekriterien und Vorgehen zur Ausgangsprüfung](#abnahmekriterien)
1. [Lieferumfang](#lieferumfang)
1. [Anhang / Ressourcen](#anhang/ressourcen)


## Einleitung <a name="einleitung"></a>

### Allgemeines <a name="allgemeines"></a>

### Ziel und Zweck des Dokuments <a name="ziel/zweck"></a>

### Ausgangssituation <a name="ausgangssituation"></a>

### Projektbezug <a name="projektbezug"></a>

### Abkürzungen <a name="abkürzungen"></a>

### Schnittstellen/ Bezug zu anderen Dokumenten <a name="schnittstellen"></a>
Test

## Konzept und Rahmenbedingungen <a name="konzept_und_rahmenbedingung"></a>

### Ziele des Anbieters <a name="ziele_anbieter"></a>

### Ziele und Nutzen des Anwenders <a name="ziele_anwender"></a>

### Benutzer / Zielgruppen <a name="benutzer/zielgruppen"></a>

### Systemvoraussetzungen (Optional) <a name="systemvoraussetzungen"></a>

### Ressourcen (Optional) <a name="ressourcen"></a>



## Funktionale Anforderungen <a name="f_anforderung"></a>

### **Muss Ziele**

### F100 <a name="f100"></a>
Die Software berechnet und veranschaulicht folgende Unternehmenskennzahlen:
- Umsatz
- Gewinn
- Bilanzsumme
- Eigenkapital (Eigenkapitalquote)
- Vorstand / Geschäftsführung
- Aufsichtsrat / Beirat
- Wirtschaftsprüfer
- Besitzverhältnisse

### F110 <a name="f110"></a>
Das System muss, neben den Kennzahlen von F100, die Metriken aus dem Anhang "data_and_metrics.md" je nach Datenlage für die Unternehmen berechnen und anzeigen.

### F120 <a name="f120"></a>
Die Software muss eine Suche nach Unternehmen und Personen anbieten die zu einer Detailansicht führt mit den in F100 genannten Kennzahlen.

### **Soll Ziele**

### F200 <a name="f200"></a>
Die Software veranschaulicht die Konzernstruktur (Mutterkonzern <-> Tochterfirmen). Diese sollen durch ein Netz transparent dargestellt werden.

### F210 <a name="f210"></a>
Die Software zeigt die Beziehungen von Unternehmen untereinander und mit den Wirtschaftsprüfern auf. Diese sollen durch ein Netz transparent dargestellt werden.

### F220 <a name="f220"></a>
Die Software soll bewerten ob die Berichtserstattung der letzten 7 Tage eher Positiv oder Negativ zu dem Unternehmen war. Dabei sind häufige Vorstandswechsel negativ und Zielerreichungen positiv.

## Nicht-Funktionale Anforderungen <a name="nf_anforderung"></a>

### **Muss Ziele**

### N100 <a name="n100"></a>
Das System muss die 1000 größten deutschen und europäischen Unternehmen beinhalten. Diese werden anhand der Kennzahlen
- Umsatz
-
-
bewertet und bemessen.

### **Soll Ziele**

### N200 <a name="n200"></a>
Das System ist 24/7 über das Internet für jede Person mit Internetzugang erreichbar.

### N210 <a name="n210"></a>
Das System soll eine Verfügbarkeit von 99 % erreichen, mit maximal 10 Ausfällen pro Jahr.

### **Kann Ziele**

### N300 <a name="n300"></a>
Das System kann möglichst über einen Disaster Recovery Schutz verfügen und  in einem zweiten, 250 KM vom Hauptrechenzentrum entfernten Rechenzentrum die Systeme und Daten spiegeln.

### N310 <a name="n310"></a>
Das System kann möglichst skalierbar sein, sodass auch eine Nutzerzahl von 1000 Benutzern die Software nutzen können.


## Anforderungsverfolgung zu den Spezifikationen <a name="verfolgung_spezifikation"></a>

## Abnahmekriterien und Vorgehen zur Ausgangsprüfung <a name="abnahmekriterien"></a>

## Lieferumfang <a name="lieferumfang"></a>

## Anhang / Ressourcen <a name="anhang/ressourcen"></a>
